std::ranges::equal_to Struct Reference

`#include <ranges_cmp.h>`

## Public Types

using | is_transparent

## Public Member Functions

template<typename _Tp, typename _Up> requires equality_comparable_with<_Tp, _Up>
constexpr bool | operator() (_Tp &&__t, _Up &&__u) const noexcept(noexcept(std::declval< _Tp >()==std::declval< _Up >()))

## Detailed Description

ranges::equal_to function object type.

Definition at line 90 of file ranges_cmp.h.

## Member Typedef Documentation

## is_transparent

using std::ranges::equal_to::is_transparent

Definition at line 99 of file ranges_cmp.h.

## Member Function Documentation

## operator()()

template<typename _Tp, typename _Up>
requires equality_comparable_with<_Tp, _Up>

bool std::ranges::equal_to::operator() | ( | _Tp && | __t,
|  | _Up && | __u ) const

inline constexpr noexcept

Definition at line 95 of file ranges_cmp.h.

The documentation for this struct was generated from the following file:

- ranges_cmp.h